#!/usr/bin/perl

package BaseTest::RM::RMCleanup;

require BaseStep;

@ISA=qw(BaseStep BaseTest::RM);

=head1 NAME

RMCleanup.pm - Cleans stuff

=head1 SYNOPSIS

Cleans all stuff

=head1 DESCRIPTION 

B<RMCleanup.pm> This script is inteded to be called from a ReplicaManager test

=head1 AUTHOR

Gonzalo Merino and Miquel Barcelo.  Please report bugs via the
European DataGrid bug reporting service (Bugzilla) at
http://marianne.in2p3.fr/bugzilla.  

=head1 LICENSE

Copyright (c) 2002 by Gonzalo Merino and Miquel Barcelo (IFAE).
All rights reserved.

The software was distributed with and is covered by the European
DataGrid License.  A copy of this license can be found in the included
LICENSE file.  This license can also be obtained from
http://www.eu-datagrid.org/license.

=cut

sub setContext {
  my $self = shift;

  $self->SUPER::setContext();

  if ( ! defined $ENV{EDG_FLAVOR} || $ENV{EDG_FLAVOR} eq 'edg1' ) {
    $self->{commands} = ["edg-replica-manager-deleteFile"];
  } else {
    $self->{commands} = ["edg-replica-manager"];
  }

  $self->{SHORTINFO} = "Cleanup";
  $self->{LONGINFO} = "print some long info here...";
}

# The test step script goes here
sub runTest {
  my $self = shift;

  my $lfn = $self->{opts}->{rdir} . "/" . $self->{TESTFILENAME};

  my @aHosts = @{$self->{args}};

  `rm -f /tmp/$self->{TESTFILENAME}*`;
  `edg-replica-manager-deleteFile -a -l $lfn -c $self->{opts}->{rcconf}`;
  `edg-replica-manager-unregisterEntry -a -l $lfn -c $self->{opts}->{rcconf}`;
  `edg-gridftp -rm gsiftp://$aHosts[0]$self->{PATHS}->{$aHosts[0]}/$self->{TESTFILENAME}`;
  `edg-gridftp -rm gsiftp://$aHosts[1]$self->{PATHS}->{$aHosts[1]}/$self->{TESTFILENAME}`;

  return 0;
}


# Override the BaseTest::evaluateTest method
sub evaluateTest {
  my $self = shift;

  return 0;
}

# This ensures that the module returns a true value when loaded. 
# If this isn't here, loading the module may incorrectly fail.
1;
