#!/usr/bin/perl

package BaseTest::SEws::SEwsCommit;

require BaseStep;

@ISA=qw(BaseStep BaseTest::SEws);

=head1 NAME

SEwsCommit.pm

=head1 SYNOPSIS

SEwsCommit.pm - Commit a file in an SE: Store it into MSS

=head1 DESCRIPTION 

B<SEwsCommit.pm> This script is inteded to be called from a SE web service CLI test

=head1 AUTHOR

Gonzalo Merino and Miquel Barcelo.  Please report bugs via the
European DataGrid bug reporting service (Bugzilla) at
http://marianne.in2p3.fr/bugzilla.

=head1 LICENSE

Copyright (c) 2002 by Gonzalo Merino and Miquel Barcelo (IFAE).
All rights reserved.

The software was distributed with and is covered by the European
DataGrid License.  A copy of this license can be found in the included
LICENSE file.  This license can also be obtained from
http://www.eu-datagrid.org/license.

=cut

sub setContext {
  my $self = shift;

  $self->SUPER::setContext();

  $self->{commands} = ["edg-se-webservice"];

  $self->{SHORTINFO} = "commit";
  $self->{LONGINFO} = "edg-se-webservice commit TURL -h HOST";
}

# The test step script goes here
sub runTest {
  my $self = shift;
  $self->SUPER::runTest();

  # Issue the SE command
  $href = $self->runCommand("edg-se-webservice $self->{INSECURE} commit $self->{TURL} $self->{CMDOPTS}",1,$self->{opts}->{timeout});

  if ($href->{rc} != 0) {
    $self->testLog("FAIL","SEws commit command failed with ret val $href->{rc}");
    return;
  }

  return;
}

# This ensures that the module returns a true value when loaded. 
# If this isn't here, loading the module may incorrectly fail.
1;
