#!/usr/bin/perl

package BaseTest::TestCycle::RMCycle;

@ISA=qw(BaseTest::TestCycle);

=head1 NAME

BLA

=head1 SYNOPSIS

BLA

=head1 DESCRIPTION

BLA

=head1 AUTHOR

Gonzalo Merino and Miquel Barcelo.  Please report bugs via the
European DataGrid bug reporting service (Bugzilla) at
http://marianne.in2p3.fr/bugzilla.

=head1 LICENSE

Copyright (c) 2002 by Gonzalo Merino and Miquel Barcelo (IFAE).
All rights reserved.

The software was distributed with and is covered by the European
DataGrid License.  A copy of this license can be found in the included
LICENSE file.  This license can also be obtained from
http://www.eu-datagrid.org/license.

=cut

sub setCycleVars {
  my $self = shift;
  my $class = ref $self;

  # Package to which the steps belong
  $self->{PACKAGE} = "RM";

  # Define the different cycle step lists
  if ( ! defined $ENV{EDG_FLAVOR} || $ENV{EDG_FLAVOR} eq 'edg1' ) {
    # EDG 1.0:
    $self->{STEPLIST}->{std}  = ["RMCycleSetup","RMCopyAndRegister","RMReplicate","RMDelete"];
    $self->{STEPLIST}->{alt}  = ["RMCycleSetup","RMAltCopyRegister","RMReplicate","RMAltDelete","RMCleanup"];
    $self->{STEPLIST}->{full} = ["RMCycleSetup",
				 "RMCopyAndRegister",
				 "RMReplicate",
				 "RMDelete",
				 "RMCleanup",
				 "RMAltCopyRegister",
				 "RMReplicate",
				 "RMAltDelete",
				 "RMCleanup"];
    $self->{STEPLIST}->{mss}  = ["RMCycleSetup","RMCopyAndRegister","RMMssDeleteFile","RMReplicate","RMDelete","RMCleanup"];
  } else {
    # EDG 2.0:
    $self->{STEPLIST}->{std}  = ["RMCopyAndRegister","RMReplicate","RMCompare","RMDelete"];
  }

  # Define the help and description.
  $self->{HelpText} = "Usage: edg-testbed-test $class [options] SEhostA SEhostB";

  $self->{DescText} = "Test of a basic file replication cycle among 2 SEs using Replica Manager tools.";

  $self->{SHORTINFO} = "Replica Manager basic replication cycle test";
}

# This ensures that the module returns a true value when loaded. 
# If this isn't here, loading the module may incorrectly fail.
1;
