#!/usr/bin/perl

package BaseTest::TestCycle::SEwsCycle;

@ISA=qw(BaseTest::TestCycle);

=head1 NAME

SEwsCycle.pm

=head1 SYNOPSIS

SEwsCycle.pm - Storage Element Web Services cli functionality test

=head1 DESCRIPTION

B<SEwsCycle.pm> This test performs a simple file creation cycle in an SE using the
edg-se-webservice command line interface.

=head1 AUTHOR

Gonzalo Merino and Miquel Barcelo.  Please report bugs via the
European DataGrid bug reporting service (Bugzilla) at
http://marianne.in2p3.fr/bugzilla.

=head1 LICENSE

Copyright (c) 2002 by Gonzalo Merino and Miquel Barcelo (IFAE).
All rights reserved.

The software was distributed with and is covered by the European
DataGrid License.  A copy of this license can be found in the included
LICENSE file.  This license can also be obtained from
http://www.eu-datagrid.org/license.

=cut

sub setCycleVars {
  my $self = shift;
  my $class = ref $self;

  # Package to which the steps belong
  $self->{PACKAGE} = "SEws";

  # Define here the different cycles step lists, as global vars:
  $self->{STEPLIST}->{std}  = ["SEwsCreate","SEwsCopy","SEwsCommit","SEwsMssDelete","SEwsCache","SEwsCompare"];

  # Define the help and description.
  $self->{HelpText} = "Usage: edg-testbed-test $class [options] SEhost";

  $self->{DescText} = "Test of a basic file creation cycle into a SE using edg-se-webservice CLI.";

  $self->{SHORTINFO} = "SE Web Service CLI test";
}

# This ensures that the module returns a true value when loaded. 
# If this isn't here, loading the module may incorrectly fail.
1;
